%global dlrn_nvr tripleo-validations-11.3.2.dev66-1.20221011003657.4db92ba
%global dlrn 1
%define upstream_version 11.3.2.dev66
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver 3
%else
%global pyver 2
%endif

%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility

%{!?upstream_version: %global upstream_version %{version}}
%global upstream_name tripleo-validations
%global with_doc 0

Name:           openstack-tripleo-validations
Summary:        Ansible playbooks to detect potential issues with TripleO deployments
Version: 11.3.2
Release: 1.20221011003657.4db92ba%{?dist}
License:        ASL 2.0
URL:            http://tripleo.org
Source0: tripleo-validations-11.3.2.dev66-1.20221011003657.4db92ba.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=4db92ba2ca394a3dee6ca7cff9e3cedfaf633aa0
Patch0001: 0001-DOWNSTREAM-ONLY-Fix-ceph_ansible_repo-var-default-va.patch
Patch0002: 0002-Remove-objects-migrated-to-validations-common.patch
Patch0003: 0003-Remove-callback-plugin-from-tripleo-validation.patch
Patch0004: 0004-Add-TripleO-validation-CLI-script.patch
Patch0005: 0005-setup.cfg-whitespace-cleanup.patch
Patch0006: 0006-Add-tripleo-validation.py-as-script-in-setup.cfg.patch
Patch0007: 0007-Ensures-script-is-executable.patch
Patch0008: 0008-Change-path-for-validation-Ansible-files.patch
Patch0009: 0009-Add-validation-to-check-status-of-ipa-server.patch
Patch0010: 0010-New-validation-Ensure-sVirt-is-active.patch
Patch0011: 0011-Correct-how-the-image_serve-validation-works.patch
Patch0012: 0012-Remove-test_check_package_update.py-file.patch
Patch0013: 0013-Refactor-vif-plugging-validations.patch
Patch0014: 0014-train-and-before-Define-default-firewall_driver-valu.patch
Patch0015: 0015-Optimize-container_cli-usage-by-mysql-open-files-lim.patch
Patch0016: 0016-Use-the-default-flavor-name-when-flavor-parameter-is.patch
Patch0017: 0017-DOWNSTREAM-ONLY-Remove-service_status-roles.patch
Patch0018: 0018-Validation-collect-flavors-and-verify-profiles-bug.patch
Patch0019: 0019-Fix-conditionals-types-in-check_flavors-and-verify_p.patch
Patch0020: 0020-replace-max_fds-with-sysctl-call.patch
Patch0021: 0021-Remove-ceph-pg-from-openstack-tripleo-validator-run-.patch
Patch0022: 0022-Add-validation-to-verify-the-RHSM-version.patch
Patch0023: 0023-autodoc-guessing-converge-playbook.patch
Patch0024: 0024-Introducing-the-overcloud-service-status-role.patch
Patch0025: 0025-Optionally-fail-ceph-health-if-HEALTH_WARN.patch
Patch0026: 0026-Generate-inventory-without-any-overcloud.patch
Patch0027: 0027-Add-validation-to-verify-undercloud.conf-content.patch
Patch0028: 0028-Make-tls_everywhere-validations-compatible-with-ansi.patch
Patch0029: 0029-Validation-should-use-the-public-endpoint.patch
Patch0030: 0030-overcloud-service-status-Removing-pre-upgrade.patch
Patch0031: 0031-train-only-Set-container_client-for-checks-during-ff.patch
Patch0032: 0032-train-only-Inventory-doesn-t-contain-admin-password.patch
Patch0033: 0033-train-only-Set-oc_container_cli-for-checks-during-ff.patch
Patch0034: 0034-Compute-TSX-validation.patch
Patch0035: 0035-Introducing-the-oslo_config_validator-role.patch
Patch0036: 0036-Corrected-the-task-Get-file_descriptors-total_limit-.patch
Patch0037: 0037-Fix-Inventory-Generation-without-Overcloud-deployed.patch
Patch0038: 0038-Add-new-Update-validation-groups.patch
Patch0039: 0039-Add-update-roles-on-several-validations.patch
Patch0040: 0040-Fail-validation-if-pacemaker-service-is-not-active.patch
Patch0041: 0041-Revert-Add-validation-to-verify-undercloud.conf-cont.patch
Patch0042: 0042-oslo_config_validator-Setting-container-network-to-n.patch
Patch0043: 0043-oslo_config_validator-Nova-port-data-changes-setting.patch
Patch0044: 0044-oslo_config_validator-Defaulting-config_invalidation.patch
Patch0045: 0045-DOWNSTREAM-ONLY-Fix-typo-for-nova-envent-callback-va.patch

BuildArch:      noarch
BuildRequires:  git
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-pbr
BuildRequires:  python%{pyver}-heatclient >= 1.10.0
BuildRequires:  python%{pyver}-glanceclient >= 2.9.1
BuildRequires:  python%{pyver}-ironicclient >= 2.3.0
%if %{pyver} == 2
Requires:       ansible >= 2
%else
Requires:       python3dist(ansible) >= 2
BuildRequires:  /usr/bin/pathfix.py
%endif
Requires:       python%{pyver}-pbr
Requires:       python%{pyver}-heatclient >= 1.10.0
Requires:       python%{pyver}-glanceclient >= 2.9.1
Requires:       python%{pyver}-ironicclient >= 2.3.0
Requires:       python%{pyver}-shade >= 1.24.0
Requires:       os-net-config >= 7.1.0
Requires:       python%{pyver}-ironic-inspector-client >= 3.1.1
Requires:       validations-common

%description
A collection of Ansible playbooks to detect and report potential issues during
TripleO deployments.

%package -n openstack-tripleo-validations-tests
Summary:        Tests for TripleO validations
Requires:       %{name} = %{version}-%{release}

BuildRequires:  python%{pyver}-heatclient
BuildRequires:  python%{pyver}-netaddr
BuildRequires:  python%{pyver}-novaclient
BuildRequires:  python%{pyver}-oslotest
BuildRequires:  python%{pyver}-subunit
BuildRequires:  python%{pyver}-swiftclient
BuildRequires:  python%{pyver}-testrepository
BuildRequires:  python%{pyver}-testscenarios
BuildRequires:  python%{pyver}-testtools
BuildRequires:  os-net-config
%if %{pyver} == 2
BuildRequires:  ansible >= 2
%else
BuildRequires:  python3dist(ansible) >= 2
%endif
BuildRequires:  openstack-macros

Requires:       python%{pyver}-subunit
Requires:       python%{pyver}-oslotest
Requires:       python%{pyver}-oslo-config >= 2:5.2.0
Requires:       python%{pyver}-oslo-utils >= 3.36.0
Requires:       python%{pyver}-heatclient >= 1.10.0
Requires:       python%{pyver}-keystoneauth1 >= 3.4.0
Requires:       python%{pyver}-mistralclient >= 3.1.0
Requires:       python%{pyver}-novaclient >= 1:9.1.0
Requires:       python%{pyver}-ironicclient >= 2.3.0
Requires:       python%{pyver}-six >= 1.10.0
Requires:       openstack-tripleo-common >= 7.1.0
Requires:       python%{pyver}-testrepository
Requires:       python%{pyver}-testscenarios
Requires:       python%{pyver}-testtools
Requires:       python%{pyver}-netaddr
Requires:       os-net-config >= 7.1.0
Requires:       python%{pyver}-shade >= 1.24.0
Requires:       python%{pyver}-ironic-inspector-client >= 3.1.1

%if %{pyver} == 2
Requires:       ansible >= 2
%else
Requires:       python3dist(ansible) >= 2
%endif

%description -n openstack-tripleo-validations-tests
This package contains the tripleo-validations test files.

%if 0%{?with_doc}
%package doc
Summary:          Documentation for OpenStack Tripleo Validations

BuildRequires:    python%{pyver}-sphinx
BuildRequires:    python%{pyver}-openstackdocstheme

%description      doc
This package contains the tripleo-validations Documentation files.
%endif

%prep
%autosetup -n %{upstream_name}-%{upstream_version} -S git

# Create __init__.py file if doesn't exit
%if %{pyver} == 2
touch library/__init__.py
%endif

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
%py_req_cleanup

%build
%{pyver_build}

# docs generation
%if 0%{?with_doc}
%{pyver_bin} setup.py build_sphinx -b html
%endif

%install
%{pyver_install}

# TODO remove this when https://review.opendev.org/#/c/740261/ merges
if [ ! -f "%{buildroot}%{_bindir}/tripleo-validation.py" ]; then
cat <<EOF >%{buildroot}%{_bindir}/tripleo-validation.py
#!/usr/bin/env python3
EOF
chmod 755 %{buildroot}%{_bindir}/tripleo-validation.py
fi

# Fix shebangs for Python 3-only distros
# TODO remove this when shebangs workaround will be fixed
if [ ! -d "%{buildroot}%{_datadir}/ansible" ]; then
mkdir -p %{buildroot}%{_datadir}/ansible/library
mkdir -p %{buildroot}%{_datadir}/ansible/lookup_plugins
mkdir -p %{buildroot}%{_datadir}/ansible/callback_plugins
mkdir -p %{buildroot}%{_datadir}/ansible/roles
fi
# TODO: to be removed
# Make compatible with old path openstack-tripleo-validation
if [ ! -d "%{buildroot}%{_datadir}/%{name}" ]; then
mkdir -p %{buildroot}%{_datadir}/%{name}/library
mkdir -p %{buildroot}%{_datadir}/%{name}/lookup_plugins
mkdir -p %{buildroot}%{_datadir}/%{name}/callback_plugins
mkdir -p %{buildroot}%{_datadir}/%{name}/roles
fi

%if %{pyver} == 3
# Fix shebangs for Python 3-only distros
# TODO remove this when shebangs workaround will be fixed
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/ansible/library/
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/ansible/lookup_plugins/
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/ansible/callback_plugins/
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/ansible/roles/
# Fix shebangs for Python 3-only distros
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/%{name}/library/
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/%{name}/lookup_plugins/
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/%{name}/callback_plugins/
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/%{name}/roles/
%endif

# Remove useless __init__.py file in library directory
# TODO:(gchamoul) Remove this once https://review.opendev.org/c/openstack/tripleo-validations/+/771797
# will be merged upstream.
rm -fr %{buildroot}%{_datadir}/ansible/library/__init__.py

%check
PYTHON=%{pyver_bin} %{pyver_bin} setup.py testr

%files
%license LICENSE
%doc README.rst AUTHORS ChangeLog
%{pyver_sitelib}/tripleo_validations
%{pyver_sitelib}/tripleo_validations-*.egg-info
%{_datadir}/%{name}
%{_datadir}/ansible
%{_bindir}/tripleo-ansible-inventory
%{_bindir}/run-validations.sh
%{_bindir}/tripleo-validation.py
%exclude %{python3_sitelib}/tripleo_validations/test*
%exclude %{_datadir}/ansible/library/__init__.py

%files -n openstack-tripleo-validations-tests
%license LICENSE
%{pyver_sitelib}/tripleo_validations/tests

%if 0%{?with_doc}
%files doc
%license LICENSE
%doc doc/build/html
%endif

%changelog
* Mon Oct 10 2022 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1.20221011003657.4db92ba
- [DOWNSTREAM-ONLY] Fix typo for nova envent callback validations (rhbz#2055192)
- oslo_config_validator: Defaulting config_invalidations to empty list (rhbz#2047328)
- oslo_config_validator: Nova port data changes settings have wrong values (rhbz#2047328)
- Corrected the task 'Get file_descriptors total_limit' to get the 'fs.file-max' value. (rhbz#1891200)

* Tue Mar 08 2022 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1.20220308103836.4db92ba
- oslo_config_validator: Defaulting config_invalidations to empty list (rhbz#2047328)
- oslo_config_validator: Nova port data changes settings have wrong values (rhbz#2047328)
- Corrected the task 'Get file_descriptors total_limit' to get the 'fs.file-max' value. (rhbz#1891200)

* Mon Feb 07 2022 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1.20220207123339.4db92ba
- oslo_config_validator: Setting container network to none (rhbz#2002327)
- Corrected the task 'Get file_descriptors total_limit' to get the 'fs.file-max' value. (rhbz#1891200)
- Use the default flavor name when flavor parameter is not defined (rhbz#1891389)
- Optimize container_cli usage by mysql-open-files-limit validation (rhbz#1891202)

* Mon Sep 13 2021 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1.20210913123540.4db92ba
- Revert "Add validation to verify undercloud.conf content." (rhbz#1951559)
- Corrected the task 'Get file_descriptors total_limit' to get the 'fs.file-max' value. (rhbz#1891200)
- Use the default flavor name when flavor parameter is not defined (rhbz#1891389)
- Optimize container_cli usage by mysql-open-files-limit validation (rhbz#1891202)

* Thu Sep 09 2021 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1.20210909093305.4db92ba
- Fail validation if pacemaker service is not active (rhbz#2000125)
- Corrected the task 'Get file_descriptors total_limit' to get the 'fs.file-max' value. (rhbz#1891200)
- Use the default flavor name when flavor parameter is not defined (rhbz#1891389)
- Optimize container_cli usage by mysql-open-files-limit validation (rhbz#1891202)

* Thu Sep 02 2021 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1.20210902073309.4db92ba
- Add update roles on several validations. (rhbz#2000340)
- Corrected the task 'Get file_descriptors total_limit' to get the 'fs.file-max' value. (rhbz#1891200)
- Use the default flavor name when flavor parameter is not defined (rhbz#1891389)
- Optimize container_cli usage by mysql-open-files-limit validation (rhbz#1891202)

* Tue Aug 31 2021 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1.20210901003314.4db92ba
- Add new Update validation groups. (rhbz#1999317)
- Corrected the task 'Get file_descriptors total_limit' to get the 'fs.file-max' value. (rhbz#1891200)
- Use the default flavor name when flavor parameter is not defined (rhbz#1891389)
- Optimize container_cli usage by mysql-open-files-limit validation (rhbz#1891202)

* Tue Aug 03 2021 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1.20210803213306.4db92ba
- Fix Inventory Generation without Overcloud deployed (rhbz#1887444)
- Corrected the task 'Get file_descriptors total_limit' to get the 'fs.file-max' value. (rhbz#1891200)
- Use the default flavor name when flavor parameter is not defined (rhbz#1891389)
- Optimize container_cli usage by mysql-open-files-limit validation (rhbz#1891202)

* Tue Aug 03 2021 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1.20210803153307.4db92ba
- Corrected the task 'Get file_descriptors total_limit' to get the 'fs.file-max' value. (rhbz#1891200)
- Use the default flavor name when flavor parameter is not defined (rhbz#1891389)
- Optimize container_cli usage by mysql-open-files-limit validation (rhbz#1891202)

* Thu Jul 15 2021 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1.20210715133307.4db92ba
- Introducing the oslo_config_validator role (rhbz#1940815)
- Use the default flavor name when flavor parameter is not defined (rhbz#1891389)
- Optimize container_cli usage by mysql-open-files-limit validation (rhbz#1891202)

* Thu Jul 15 2021 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1.20210715123313.4db92ba
- Compute TSX validation (rhbz#1981432)
- Use the default flavor name when flavor parameter is not defined (rhbz#1891389)
- Optimize container_cli usage by mysql-open-files-limit validation (rhbz#1891202)

* Tue Jun 01 2021 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1.20210601063306.4db92ba
- [train-only] Set oc_container_cli for checks during ffu (rhbz#1963872)
- Use the default flavor name when flavor parameter is not defined (rhbz#1891389)
- Optimize container_cli usage by mysql-open-files-limit validation (rhbz#1891202)

* Mon May 31 2021 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1.20210531133305.4db92ba
- [train-only] Inventory doesn't contain admin password (rhbz#1962225)
- [train-only] Set container_client for checks during ffu (rhbz#1963879)
- Use the default flavor name when flavor parameter is not defined (rhbz#1891389)
- Optimize container_cli usage by mysql-open-files-limit validation (rhbz#1891202)

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1.20210528064457.4db92ba
- Update patches

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1.20210527073345.4db92ba
- [overcloud-service-status] Removing pre-upgrade (rhbz#1962205)

* Mon May 10 2021 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1.20210510153320.4db92ba
- Validation should use the public endpoint (rhbz#1921115)

* Wed Apr 28 2021 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1.20210428165153.4db92ba
- Make tls_everywhere validations compatible with ansible_facts (rhbz#1953124)

* Mon Apr 26 2021 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1.20210426123234.4db92ba
- Add validation to verify undercloud.conf content. (rhbz#1951559)

* Fri Apr 09 2021 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Generate inventory without any overcloud (rhbz#1887444)

* Thu Apr 08 2021 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches

* Tue Mar 30 2021 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Optionally fail ceph-health if HEALTH_WARN (rhbz#1923729)

* Wed Mar 10 2021 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Add validation to verify the RHSM version. (rhbz#1924050)

* Mon Feb 22 2021 David Vallee Delisle <dvd@redhat.com> 11.3.2-1.20201114040747
- Introducing the overcloud-service-status role (rhbz#1921115)

* Wed Jan 20 2021 Gaël Chamoulaud <gchamoul@redhat.com> 11.3.2-1.20201114040746
- Add validations-common dependency to the right section (rhbz#1916731)

* Sat Jan 16 2021 Alex Schultz <aschultz@redhat.com> 11.3.2-1.20201114040745
- Add validations-common dependency (rhbz#1916731)

* Tue Dec 08 2020 John Fulton <johfulto@redhat.com> 11.3.2-1.20201114040743
- Remove ceph-pg from openstack tripleo validator run groups (rhbz#1889159)
- replace max_fds with sysctl call (rhbz#1891200)

* Mon Nov 30 2020 Martin Schuppert <mschuppert@redhat.com> 11.3.2-1.20201114040742
- Fix conditionals/types in check_flavors and verify_profiles (rhbz#1893896)
- Validation collect-flavors-and-verify-profiles bug (rhbz#1893896)

* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches

* Tue Nov 10 2020 Lon Hohberger <lhh@redhat.com> 11.3.2-1.20200916153438
- Update patches

* Tue Nov 03 2020 David J Peacock <dpeacock@redhat.com> 11.3.2-1.20200916153437
- Use the default flavor name when flavor parameter is not defined (rhbz#1891389)

* Tue Nov 03 2020 Gael Chamoulaud (Strider) <gchamoul@redhat.com> 11.3.2-1.20200916153436
- Optimize container_cli usage by mysql-open-files-limit validation (rhbz#1891202)
- [train and before] Define default firewall_driver value (rhbz#1891204)
- Refactor vif plugging validations (rhbz#1891197)

* Mon Oct 26 2020 Gael Chamoulaud (Strider) <gchamoul@redhat.com> 11.3.2-1.20200916153435
- Remove test_check_package_update.py file

* Mon Oct 26 2020 Gael Chamoulaud (Strider) <gchamoul@redhat.com> 11.3.2-1.20200916153434
- Correct how the image_serve validation works (rhbz#1862079)
- New validation: Ensure sVirt is active (rhbz#1865997)

* Fri Oct 23 2020 Jason Joyce <jjoyce@redhat.com> 11.3.2-1.20200916153433
- setup.cfg whitespace cleanup

* Fri Oct 23 2020 Raildo <rmascena@redhat.com> 11.3.2-1.20200916153432
- Add validation to check status of ipa server (rhbz#1868787)
- Change path for validation Ansible files (rhbz#1877688)
- Ensures script is executable (rhbz#1877688)
- Add tripleo-validation.py as script in setup.cfg (rhbz#1877688)
- Add TripleO validation CLI script (rhbz#1877688)
- Remove callback plugin from tripleo-validation (rhbz#1877688)
- Remove objects migrated to validations-common (rhbz#1877688)

* Wed Sep 16 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches

* Mon Sep 14 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Convert all of the fedora28 container usage to CentOS8
- Migrate molecule jobs from centos 7 to 8
- Add validation to check status of ipa server
- Corrected work directory for validate-selinux

* Thu Sep 03 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Switch install-docker with ensure-docker

* Tue Sep 01 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Add new Upgrades validation groups.

* Fri Aug 28 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Allows to use custom role name for validations

* Wed Aug 26 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Add os-cloud support for tripleo-ansible-inventory script

* Tue Aug 25 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Get UUID from ansible environment variables

* Wed Aug 19 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Updated "overcloud" to "allovercloud" group

* Fri Aug 07 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Fix neutron_sanity_check for ML2/OVS overcloud

* Tue Aug 04 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Make Get OSD stat percentage compatible with jq < 1.5
- Ensure virtualenv is installed.
- Port jobs from centos7 to centos8

* Fri Jul 17 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Make Get OSD stat percentage compatible with both Luminous and Nautilus

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Fix ceph-ansible permissions when checking the repo name

* Fri Jun 12 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Don't write playbook stats in binary mode

* Fri Jun 12 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- remove non-voting ceph validation from gate

* Thu Jun 11 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Update Ceph role's Get OSD stat to use new data structure

* Thu Jun 11 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches

* Thu Jun 11 2020 Giulio Fidente <gfidente@redhat.com> 11.3.2-0.20200512143424.aeea5d7
- Update Ceph role's Get OSD stat to use new data structure (rhbz#1845079)

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Improve the ceph-ansible repository error message

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Introducing tripleo_delegate_to on ceph health validation

* Wed May 06 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Remove fwaas_driver.ini from neutron sanity checks

* Wed Apr 15 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Fix multistack inventory
- tripleo-validations failing on lower constraints

* Wed Mar 18 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Don't validate token_flush for non-persistent token formats

* Thu Mar 12 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Skeleton role, get with the decade

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Add basic molecule tests for uncovered roles

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Add custom ansible-lint rule for Role Names

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- [DOWNSTREAM-ONLY] Fix ceph_ansible_repo var default value (rhbz#1805733)
- Adds Search Path Override
- tripleo-validations failing on lower constraints

* Tue Feb 18 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Remove default ansible option in test runs
- Make groups documentation part dynamic
- Add pre/post ceph validation groups
- Fix upper and lower constraints
- Better task name and loop control
- Delete healthcheck-service-status role
- Normalize role names when generating roles
- molecule-xfs_check_ftypefailure (non-voting), remove from gate
- Replace all references to the old role name
- Adds basic molecule testing for ceph validations

* Thu Feb 06 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- zuul: all functional jobs now depend on linter job first

* Tue Jan 28 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Validate the playboooks metadata structure

* Mon Jan 27 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- New validation: validate-selinux

* Sun Jan 26 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Remove the useless environment variable.
- Removed workaround for ansible-lint issue
- Stop testing python2.7

* Sat Jan 11 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Add new validation_json callback

* Thu Jan 09 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Merge "Introduce Ceph placement group validation" into stable/train
- Introduce Ceph placement group validation

* Wed Jan 08 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Fix ceph-ansible repo check

* Tue Jan 07 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches

* Tue Dec 24 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Add an additional validation to check ceph-ansible repository" into stable/train
- Add an additional validation to check ceph-ansible repository

* Fri Dec 20 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Add a validation to fail if a Ceph dependency is not installed

* Mon Nov 25 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Rename custom "ini" module to "validations_read_ini"

* Fri Nov 15 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Add groups.yaml containing Validation Groups definition

* Mon Nov 04 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Avoid failure if dhcp_end or dhcp_start isn't set

* Mon Oct 28 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Add forgotten reportentry module in the documentation

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Update .gitreview for stable/train" into stable/train
- Update .gitreview for stable/train

* Wed Oct 23 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Set validation defaults to match undercloud default settings

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Fix Molecule tests
- Add workaround for the ansible-lint installation failure

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches

* Thu Oct 17 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Hide sensitive data from Ansible run and logging"
- Use dynamic argument_spec from documentation
- Hide sensitive data from Ansible run and logging

* Tue Oct 15 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix Ironic Authentication exception

* Thu Oct 10 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix missing closing parenthesis in skeleton role"
- Fix ost-tox-lower-constraints job indentation
- Fix missing closing parenthesis in skeleton role

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix Python 3 incompatibility in tripleo-ansible-inventory"
- Fix Python 3 incompatibility in tripleo-ansible-inventory


